{
   "type": "minecraft:crafting_shaped",
   "pattern": [
    "3 5",   
    "121",
    "sss"
   ],
   "key": {
       "1": {
           "item": "minecraft:glass_bottle"
       },
       "2": {
         "item": "minecraft:copper_block"
       },
       "3": {
           "item": "miningmaster:fire_ruby"
       },
       "5": {
           "item": "miningmaster:haste_peridot"
       },
       "s": {
           "item": "minecraft:string"
       }
   },
   "result": {
       "item": "artifacts:plastic_drinking_hat",
       "count": 1
   }
}